/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.prism;

import pl.edu.mimuw.bioputer.tav4sb.utils.file.SaveableStringContent;
import java.util.LinkedList;
import java.util.List;

/**
 * Class representing PRISM (csl) properties file
 * @author michal
 */
public class PrismProperties extends SaveableStringContent {

    private final List<PrismConstant> constants = new LinkedList<PrismConstant>();
    private final String properties;

    public PrismProperties(String properties) {
        this.properties = properties;
    }

    /**
     * Method returns list of properties constants
     * @return list of PrismConstant
     */
    public final List<PrismConstant> getConstants() {
        return this.constants;
    }

    /**
     * Returns properties string (in csl format).
     * @return prism (csl) properties string
     */
    public final String getContent() {
        return this.properties;
    }
}
