/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.logic.prism.worker;

import org.junit.BeforeClass;
import org.junit.Test;
import pl.edu.mimuw.bioputer.tav4sb.consumer.utils.WorkersTest;
import pl.edu.mimuw.bioputer.tav4sb.logic.prism.utils.PrismProperties;

/**
 *
 * @author trybik
 */
public class PrismWorkersTest
        extends WorkersTest
{
    public static String testPrism;
    public static String testSbml2Prism;
    public static final PrismProperties props = new PrismProperties();

    @BeforeClass
    public static void setUpClass() throws Exception {
        testPrism = getResourcePath("prism");
        testSbml2Prism = getResourcePath("sbml2Prism");
    }

    @Test
    public void testPrism() {
        logger.debug("begin");
        test(PrismWorkerFactory.getInstance(props.getPrismCommand()), testPrism);
        logger.debug("end");
    }

    @Test
    public void testSbml2Prism() {
        logger.debug("begin");
        test(Sbml2PrismWorkerFactory.getInstance(props.getSbml2PrismCommand(),
                props.getSbml2PrismClasspath(), props.getSbml2PrismClassname()), testSbml2Prism);
        logger.debug("end");
    }
}
