/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.producer;

import java.util.LinkedList;
import java.util.List;

public class App {

    public static final String QUEUENAME = "TEST";

    public static final String MESSAGE = "test message";

    public static void main(String[] args) throws Exception {
        DebugMessage message;
        switch (args.length) {
            case 0:
                message = new DebugMessage(QUEUENAME, MESSAGE);
                break;
            case 1:
                message = new DebugMessage(args[0], MESSAGE);
            default:
                List<String> messages = new LinkedList<String>();
                for (int i = 1; i < args.length; i++) {
                    messages.add(args[i]);
                }
                message = new DebugMessage(args[0], messages);
        }
        System.out.println("Messages to send:");
        for (String s : message.getTextList()) {
            System.out.println("message: " + s);
        }
        System.out.println("start processing ...");
        message.process();
        System.out.println("... processing complite");
        System.out.println("Results:");
        for (String s : message.getResultList()) {
            System.out.println("result: " + s);
        }
    }
}
