/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
//TODO: mv to tests
package pl.edu.mimuw.bioputer.tav4sb.producer;

import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author michal
 */
class DebugMessage extends ServiceMessage {

    public static final String MESSAGETYPE = "DEBUG";
    public static final String BROKER_URL = "tcp://localhost:61616";
    public static final String RECEIVER = "RECEIVER";
    public static final String RECORDER = "RECORDER";
    private final String queueName;
    private final List<String> list = new LinkedList<String>();
    private final List<String> result = new LinkedList<String>();

    public DebugMessage(String queueName, String message) {
        this.queueName = queueName;
        getTextList().add(message);
    }

    public DebugMessage(String queueName, List<String> messages) {
        this.queueName = queueName;
        getTextList().addAll(messages);
    }

    @Override
    protected List<String> getTextList() {
        return this.list;
    }

    @Override
    protected void addResult(String result) {
        getResultList().add(result);
    }

    @Override
    protected String getQueueName() {
        return this.queueName;
    }

    public List<String> getResultList() {
        return this.result;
    }

    @Override
    protected String getMessageType() {
        return MESSAGETYPE;
    }

    @Override
    public String getBrokerUrl() {
        return BROKER_URL;
    }

    @Override
    protected String getRecorderQueueName() {
        return RECORDER;
    }

    @Override
    protected String getReceiverQueueName() {
        return RECEIVER;
    }
}
