/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.register;

import java.io.File;
import java.util.List;
import javax.jms.Message;

/**
 *
 * @author michal
 */
public interface Computation {

    public void addAnswer(Message answer) throws Exception;

    public List<Message> getAnswers();

    public void addError(String message);

    public boolean isComplete();

    public String getResult() throws Exception;

    public File getResultFile() throws Exception;

    public String getStatistic() throws Exception;

    public String getEmail();

    public String getComputationId();

    public String getComputationType();

    public int getQuantity();

    public int getCurrentQuantity();
}
