/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.register.thread;

import javax.jms.JMSException;
import javax.jms.Message;
import org.apache.log4j.Logger;
import pl.edu.mimuw.bioputer.tav4sb.consumer.Consumer;
import pl.edu.mimuw.bioputer.tav4sb.register.Register;

/**
 *
 * @author michal
 */
public class Receiver extends Consumer {

    private static final Logger logger = Logger.getLogger(Receiver.class);

    public Receiver(String queueName, String brokerURL) {
        super(brokerURL, queueName);
    }

    public void onMessage(Message arg0) {
        try {
            logger.debug("(Pre) collecting result");
            Register.getInstance().info();
            Register.getInstance().addAnswer(arg0);
            logger.debug("(Post) collecting result");
            Register.getInstance().info();
        } catch (JMSException ex) {
            logger.error("exception", ex);
        }
    }
}
