/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.utils;

//import java.lang.reflect.Constructor;
//import java.lang.reflect.InvocationTargetException;
//import java.util.ArrayList;
import java.util.HashMap;

/**
 * Singleton objects factory for objects instantied without any arguments.
 *
 * @author trybik
 */
public class SingletonFactory {

    private static HashMap<Class<?>, Object> instances = new HashMap<Class<?>, Object>();

    private SingletonFactory() {
    }

// TODO: use generalization and refactor PropertiesManagerFactory
    public final static <T> T getInstance(Class<T> cls) //, Object... args)
	    throws InstantiationException, IllegalAccessException //, NoSuchMethodException, IllegalArgumentException, InvocationTargetException
    {
	T result = (T) instances.get(cls);
	if (result == null) {
//            Class<?>[] argsClasses = new Class<?>[args.length];
//            for (int i = 0; i < args.length; i++) {
//                argsClasses[i] = args[i].getClass();
//            }
//            Constructor<T> c = cls.getConstructor(argsClasses);
//            result = c.newInstance(args);
	    result = cls.newInstance();
	    instances.put(cls, result);
	}
	return result;
    }

}
