/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.service.messages;

import java.util.ArrayList;
import java.util.List;
import pl.edu.mimuw.bioputer.tav4sb.service.utils.WSProperties;

/**
 * WSMessage with identical inner and outter params and results types.
 *
 * @author trybik
 */
public abstract class IdWsMessage<ParamsT, ResultsT> extends WsMessage<ParamsT, ParamsT, ResultsT, ResultsT> {

    public IdWsMessage(ParamsT params, WSProperties props) {
        super(params, props);
    }

    @Override
    protected List<ParamsT> getObjectList() {
        List<ParamsT> ret = new ArrayList<ParamsT>(1);
        ret.add(getParam());
        return ret;
    }

    @Override
    public ResultsT getResult() {
        return getResultList().get(0);
    }
}
