/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.service;

import org.junit.Ignore;
import org.junit.Test;

import pl.edu.mimuw.bioputer.tav4sb.services.xsd.odesolver.OdeSolverParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.odesolver.OdeSolverResult;

public class OdeSolverTest extends Tav4SBPortTypeImplAbstractTest {
    private static final String testOdeSolver = "testOdeSolver";

//    @Ignore
    @Test
    public void testOdeSolver() {
        Executor<OdeSolverParams, OdeSolverResult> exec = new Executor<OdeSolverParams, OdeSolverResult>(testOdeSolver) {

            @Override
            protected OdeSolverResult doTest(OdeSolverParams param, Tav4SBPortTypeImpl instance) throws Exception {
                return instance.odeSolver(param);
            }
        };
        exec.test(OdeSolverParams.class, OdeSolverResult.class);
    }


}
